VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "PhoneCheck"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Option Explicit

Public Event Click()

Public Event CheckChanged _
                    ( _
                    p_strPropertyName As String _
                    )

Private Const MODULE As String = "PhoneCheck"

Public Enum ApperaranceConstants
    vbAppearanceFlat = 0
    vbAppearance3D = 1
End Enum

Private WithEvents m_objObject As CheckBox
Attribute m_objObject.VB_VarHelpID = -1
Private m_blnVisible As Boolean

Private Sub m_objObject_Click()

    RaiseEvent Click

End Sub

Friend Property Set Object _
                        ( _
                        ByVal RHS As VB.CheckBox _
                        )

    Const PROC_SIG As String = MODULE & "." & "Object[Set]"

    On Error GoTo ErrorHandler
    
    Set m_objObject = RHS

ExitHere:
    Exit Property
ErrorHandler:
    Debug.Assert 0 ' Soft stop
    With VBA.Err
        Debug.Print "Error (" & .Number & ") " & .Description & " in " & AddErlToSource(PROC_SIG, Erl)
        .Raise .Number, AddErlToSource(PROC_SIG, Erl), .Description, .HelpFile, .HelpContext
    End With
End Property

Friend Property Get Object() As VB.CheckBox

    Set Object = m_objObject

End Property

Public Property Let Appearance _
                        ( _
                        ByVal RHS As ApperaranceConstants _
                        )

    Const PROC_SIG As String = MODULE & "." & "Appearance[Let]"
    
    On Error GoTo ErrorHandler
    
    m_objObject.Appearance = RHS
    RaiseEvent CheckChanged("Appearance")
    
ExitHere:
    Exit Property
ErrorHandler:
    Debug.Assert 0 ' Soft stop
    With VBA.Err
        Debug.Print "Error (" & .Number & ") " & .Description & " in " & AddErlToSource(PROC_SIG, Erl)
        .Raise .Number, AddErlToSource(PROC_SIG, Erl), .Description, .HelpFile, .HelpContext
    End With
End Property

Public Property Get Appearance() As ApperaranceConstants

    Appearance = m_objObject.Appearance

End Property

Public Property Let Visible _
                        ( _
                        RHS As Boolean _
                        )

    Const PROC_SIG As String = MODULE & "." & "Visible[Let]"
    
    On Error GoTo ErrorHandler
        
    m_blnVisible = RHS
    m_objObject.Visible = RHS
    RaiseEvent CheckChanged("Visible")

ExitHere:
    Exit Property
ErrorHandler:
    Debug.Assert 0 ' Soft stop
    With VBA.Err
        Debug.Print "Error (" & .Number & ") " & .Description & " in " & AddErlToSource(PROC_SIG, Erl)
        .Raise .Number, AddErlToSource(PROC_SIG, Erl), .Description, .HelpFile, .HelpContext
    End With
End Property

Public Property Get Visible() As Boolean
    
    Visible = m_blnVisible

End Property

Public Property Let Value _
                        ( _
                        ByVal RHS As VBRUN.CheckBoxConstants _
                        )

    Const PROC_SIG As String = MODULE & "." & "Value[Let]"
    
    On Error GoTo ErrorHandler
    
    m_objObject.Value = RHS
    RaiseEvent CheckChanged("Value")

ExitHere:
    Exit Property
ErrorHandler:
    Debug.Assert 0 ' Soft stop
    With VBA.Err
        Debug.Print "Error (" & .Number & ") " & .Description & " in " & AddErlToSource(PROC_SIG, Erl)
        .Raise .Number, AddErlToSource(PROC_SIG, Erl), .Description, .HelpFile, .HelpContext
    End With
End Property

Public Property Get Value() As VBRUN.CheckBoxConstants
Attribute Value.VB_UserMemId = 0

    Value = m_objObject.Value

End Property



